kind: pipeline
type: docker
name: build-and-deploy

platform:
  os: linux
  arch: arm64

steps:
  - name: build
    image: node:lts-bullseye
    commands:
    - apt-get update -y && apt-get install git -y
    - yarn && yarn build
  
  - name: upload
    image: plugins/s3
    settings:
      bucket: home-app
      endpoint: https://storage.186526.xyz
      access_key:
        from_secret: s3_access_key
      secret_key:
        from_secret: s3_secret_key
      source: dist/**/*
      target: /dist/